Bug 9953 - Пакет использует su которого нет в зависимостях
: Пакет использует su которого нет в зависимостях
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 9954
:
  Show dependency tree
 
Reported: 2006-09-04 11:49 by
Modified: 2008-02-15 22:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-04 11:49:42
В файле /etc/cron.daily/makewhatis используется su.
Зависимости на su нет. Из-за этого получаю письмо с ошибкой:
/etc/cron.daily/makewhatis: line 26: su: command not found
Steps to Reproduce:
1.apt-get install man
2.apt-get remove su
3.
------- Comment #1 From 2006-09-12 02:43:57 -------
$ rpmquery -pR i586/RPMS/man-1.5m2-alt3.i586.rpm |fgrep su
su  

# rpmi -e su
error: removing these packages would break dependencies:
        su   is needed by man-1.5m2-alt3

Я не знаю, что у вас за система, но у меня всё OK.
------- Comment #2 From 2006-09-12 10:04:35 -------
(In reply to comment #1)
> $ rpmquery -pR i586/RPMS/man-1.5m2-alt3.i586.rpm |fgrep su
> su  
> # rpmi -e su
> error: removing these packages would break dependencies:
>         su   is needed by man-1.5m2-alt3
> Я не знаю, что у вас за система, но у меня всё OK.
Контейнер OpenVZ. Был установлен interactivesystem. Он потянул за собой man. А
su не установился.
И у меня не показывает зависимость на su:
$ rpmquery -pR man_1.5m2-alt3_x86%5f64.rpm |fgrep su
$ rpm -qa | grep su
msulogin-0.9.1-alt2
submount-0.9-alt5
sudo-1.6.7p5-alt6.1
$ rpm -qa | grep man
man-1.5m2-alt3
Может потому, что x86
------- Comment #3 From 2006-09-12 14:17:04 -------
Я всё-таки закрываю эту багу и попрошу её больше не открывать на пакет man.
Тот пакет man-1.5m2-alt3.x86_64.rpm, который сейчас находится в Сизифе, собран
не мной, давно и совершенно непонятным образом (точно без помощи hasher) в
среде, где не было информации для построения правильных зависимостей.  При
сборке пакета man-1.5m2-alt3 штатными средствами зависимость на su вычисляется
автоматически как на ix86, так и на x86-64.
Поскольку при очередной сборке пакета старая уйдёт, а перед релизом все
бинарные
пакеты будут так или иначе пересобраны, вешать баги вида "надо пересобрать
пакет" не вижу смысла.
------- Comment #4 From 2006-11-29 00:59:44 -------
Fixed in 1.5m2-alt4.
------- Comment #5 From 2008-02-15 22:10:03 -------
re
------- Comment #6 From 2008-02-15 22:10:36 -------
Закрываю как fixed.